kdevplatform (1.7.0-0ubuntu1.1) utopic; urgency=medium

  * SRU: add subversion plugin
    LP: #1415451

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Jan 2015 15:41:24 +0100

kdevplatform (1.7.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Add XS-Testsuite: autopkgtest

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 30 Aug 2014 03:52:11 -0700

kdevplatform (1.6.0-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1259220)
  * Update install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 09 Dec 2013 17:24:43 +0100

kdevplatform (1.5.2-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Update watch file to use xz instead of bz2
  * Update install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 04 Nov 2013 15:42:30 +0100

kdevplatform (1.5.1-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian git packaging, remaining change
   - replace/break kdevplatform6-libs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Jun 2013 17:34:52 +0100

kdevplatform (1.5.1-0r0) UNRELEASED; urgency=low

  [ Andreas Cord-Landwehr ]
  * New upstream release
  * Rename packages due to soname bump:
    - kdevplatform5-libs -> kdevplatform7-libs
    - libsublime5 -> libsublime7
  * Add build dependency to libgrantlee-dev (>= 0.1.7)
  * Raise kdelibs5-dev build-dependency (>=4:4.7.0)
  * Bump Standards-Version to 3.9.4: no changes needed.
  * Update copyright.
  * Disable compilation of SVN plugin due to license
    incompatability: patches/excludeSvnPluginFromCompilation.diff
  * Remove libsvn-dev build dependency: only needed for SVN plugin.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 26 Apr 2013 21:41:47 +0200

kdevplatform (1.5.0-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Add build-dep on libgrantlee-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 18:15:55 +0000

kdevplatform (1.4.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 04 Nov 2012 23:03:58 +0000

kdevplatform (1.3.90-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 10 Sep 2012 07:37:01 +0100

kdevplatform (1.3.80-0ubuntu2) quantal; urgency=low

  * kdevplatform6-libs replaces/breaks kdevplatform5-libs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 22 Aug 2012 14:59:58 +0100

kdevplatform (1.3.80-0ubuntu1) quantal; urgency=low

  * New upstream beta release
  * Remove kubuntu_01_appmenu_fix.diff, now upstream
  * kdevplatform5-libs now kdevplatform6-libs
  * libsublime5 now libsublime6

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Aug 2012 15:26:48 +0100

kdevplatform (1.3.1-2ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining changes:
    - Disable kdevplatform-l10n and ship l10n in kdevplatform5-libs
    - Add kubuntu_01_appmenu_fix.diff

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 03 Jun 2012 19:18:21 -0400

kdevplatform (1.3.1-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 20 May 2012 10:54:04 +0200

kdevplatform (1.3.1-1) experimental; urgency=low

  * Team upload.

  [ Andreas Cord-Landwehr ]
  * New upstream release.
  * Remove bash shell patch for kdev_format_source.sh: fixed upstream.
  * Install kdevplatform_shell_environment.sh.

 -- Pino Toscano <pino@debian.org>  Fri, 18 May 2012 16:44:23 +0200

kdevplatform (1.3.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream bugfix release
    - Drop 11_disable_examples_tests.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 15 Apr 2012 20:08:31 +0200

kdevplatform (1.3.0-1) experimental; urgency=low

  * Team upload.

  [ Andreas Cord-Landwehr ]
  * New upstream release.
  * Update install files.
  * Add patch to use bash shell for kdev_format_source.sh.
  * Rename packages due to soname bump:
    - kdevplatform3-libs -> kdevplatform5-libs
    - libsublime3 -> libsublime5
  * Update debian/copyright file.

  [ Felix Geyer ]
  * Hardcode the SONAME in libsublime3.install and kdevplatform3-libs.install
    so SONAME bumps can't go unnoticed.
  * Remove duplicate line in kdevplatform-dev.install.

  [ Pino Toscano ]
  * Depend on ${misc:Depends} everywhere.
  * Drop libc6-dbg [amd64] dependency in kdevplatform-dbg, as it's already
    pulled by other -dbg packages.
  * Bump Standards-Version to 3.9.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Mar 2012 17:37:45 +0100

kdevplatform (1.3.0-0ubuntu1) precise; urgency=low

  * New upstream stable release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 22 Mar 2012 11:59:51 +0000

kdevplatform (1.2.90-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 10 Mar 2012 18:22:32 +0100

kdevplatform (1.2.81-0ubuntu2) precise; urgency=low

  * Add appropriate Breaks/Replaces for kdevplatform-dev
    - kdevplatform-dev now Breaks/Replaces kdevplatform3-libs

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 04 Feb 2012 01:27:52 +0530

kdevplatform (1.2.81-0ubuntu1) precise; urgency=low

  * New upstream release
    - Refreshed kubuntu_01_appmenu_fix.diff
    - Bump SONAME for kdevplatform and libsublime
      + Add appropriate Breaks/Replaces
    - Refresh install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 17 Jan 2012 03:21:56 +0530

kdevplatform (1.2.3-1ubuntu1) precise; urgency=low

  * Merge from Debian git repository, remaining changes:
    - Add kubuntu_01_appmenu_fix.diff
    - Keep translations in kdevplatform3-libs
    - libsublime3 breaks/replaces libsublime2 since we previously shipped
      libsublime.so.3 in libsublime2

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 17 Dec 2011 12:37:45 +0100

kdevplatform (1.2.3-1) unstable; urgency=low

  [ Andreas Cord-Landwehr ]
  * New upstream release.
  * Update copyright.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 12 Dec 2011 18:48:50 +0100

kdevplatform (1.2.3-0ubuntu1) oneiric; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Add libqtwebkit-dev to build deps

  [ Philip Muškovac ]
  * update boost built-dep to 1.46 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 15 Jul 2011 17:41:55 +0200

kdevplatform (1.2.2-1) unstable; urgency=low

  * New upstream release:
    - provides Git support. (Closes: #597281)
    - fix ftbfs error: reference 'm_registry' cannot be declared 'mutable'
      (Closes: #624885)

  [ Andreas Cord-Landwehr ]
  * Merge all localization packages into one
    - includes: Catalan (ca), Southern Catalan (cavalencia), Danish (da),
      German (de), British English (engb), Spanish (es), Estonian (et),
      French (fr), Italian (it), Norwegian Bookmal (nb),
      Low Saxon (nds), Dutch (nl), Brazilian Portuguese (ptbr), 
      Portuguese (pt), Russian (ru), Slovenian (sl), Swedish (sv),
      Thai (th), Ukrainian (uk), Chinese Simplified (zh_CN)
      Chinese Traditional (zh_TW)
    - add Breaks for all kdevplatform-l10n-* packages .
    - add Replaces for all kdevplatform-l10n-* packages.
    - add kdevplatform-l10n package.
  * Rename packages due to soname bump:
    - kdevplatform2-libs -> kdevplatform3-libs
    - libsublime2 -> libsublime3
  * Update install files.
  * Add myself to Uploaders.

  [ Nicolás Alvarez ]
  * Add libsublime1 debugging symbols. (Closes: #593636)
  * Add debian/watch file to track upstream versions.
  * Update Vcs-* fields to point to Git instead of SVN.

  [ George Kiagiadakis ]
  * Add myself to uploaders.
  * Drop quilt from build-depends; not needed for src format 3.0.
  * Update installed files.
  * Bump pkg-kde-tools dependency to version 0.9.0 for building without quilt.
  * Add build dependency on libqjson-dev for building the reviewboard plugin.
  * Rename packages due to soname bump:
    - kdevplatform1-libs -> kdevplatform2-libs
    - libsublime1 -> libsublime2
  * Bump Standards-Version to 3.9.1 (no changes needed).

  [ Pino Toscano ]
  * kdevplatform3-libs: suggest git, cvs, konsole.

  [ Fathi Boudra ]
  * Add libqtwebkit-dev build dependency to fix ftbfs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 02 Jun 2011 11:39:31 +0300

kdevplatform (1.2.2-0ubuntu1) natty; urgency=low

  * New upstream release
    + refresh kdevplatform3-libs.install

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Apr 2011 14:24:30 +0200

kdevplatform (1.2.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 25 Jan 2011 18:03:44 +0100

kdevplatform (1.1.90-0ubuntu1~ppa2) natty; urgency=low

  * New upstream release 
    - don't suggest removed l10n packages

 -- Philip Muskovac <yofel@gmx.net>  Wed, 12 Jan 2011 16:35:32 +0100

kdevplatform (1.1.80-0ubuntu1) natty; urgency=low

  * New upstream release
    - kdevplatform2-libs is now kdevplatform3-libs due to ABI changes
    - Update kdevplatform3-libs.install to include l10n files
    - Update kdevplatform-dev.install
  * Removed localization packages

 -- Bhargav Mangipudi <bhargav.1191@gmail.com>  Thu, 16 Dec 2010 19:31:23 +0530

kdevplatform (1.1.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * Merge packaging with kubuntu-ppa/backports PPA
   - kdevplatform1-libs is now kdevplatform2-libs due to ABI changes
   - libsublime1 is now libsublime2 due to ABI changes
   - Add build-dep on libqjson-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 04 Dec 2010 17:25:37 +0000

kdevplatform (1.1.0-0ubuntu1) natty; urgency=low

  * New upstream release
    - Bump build-dependencies
    - Build against libboost-serialization1.42-dev
    - Update kdevplatform1-libs.install
    - Update kdevplatform-dev.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 24 Oct 2010 00:06:18 +0200

kdevplatform (1.0.2-0ubuntu2) maverick; urgency=low

  * Add kubuntu_01_appmenu_fix.diff by Aurélien Gâteau to make KDevplatform
    work with appmenu.

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 15 Sep 2010 17:39:40 +0200

kdevplatform (1.0.2-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Don't ship kdevplatform-l10n-de, German translation is missing from
      upstream, German dropped below the threshold of translated strings

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Sep 2010 19:38:03 +0200

kdevplatform (1.0.1-1ubuntu1) maverick; urgency=low

  * Add export KUBUNTU_DESKTOP_POT=extragear-sdk_kdevplatform

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 18:21:06 +0100

kdevplatform (1.0.1-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Add localization packages: Finnish (fi), Dutch (nl), Slovenian (sl) and
    Thai (th).
  * Update debian/control:
    - bump Standards-Version to 3.9.0 (no changes needed).
    - comment turkish localization package, not shipped in this release.
  * Update debian/rules: remove workaround for FindKDE4Internal.cmake default
    rpath value, fixed in kdelibs5-dev 4.4.1.

  [ Sune Vuorela ]
  * Remove hardcoded dependency in libsublime1 on kdelibs5.

 -- Fathi Boudra <fabo@debian.org>  Thu, 22 Jul 2010 20:36:46 +0300

kdevplatform (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 03 May 2010 22:24:13 +0200

kdevplatform (0.10.2-1) unstable; urgency=low

  * New upstream release.
  * Add localization packages.

 -- Fathi Boudra <fabo@debian.org>  Sat, 17 Apr 2010 10:33:53 +0300

kdevplatform (0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Fathi Boudra <fabo@debian.org>  Sun, 04 Apr 2010 11:43:31 +0200

kdevplatform (0.9.99-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 08 Mar 2010 14:27:31 +0100

kdevplatform (0.9.98-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Update debian/control:
    - bump build dependencies version (debhelper and pkg-kde-tools).
    - bump Standards-Version to 3.8.4 (no changes needed).
  * Update debian/kdevplatform1-libs.install file.
  * Update debian/kdevplatform-dev.install file.
  * Update debian/rules: pass -DCMAKE_SKIP_RPATH=ON
    to workaround FindKDE4Internal.cmake default rpath value.

  [ Modestas Vainius ]
  * Fix Vcs-Browser URL.

 -- Fathi Boudra <fabo@debian.org>  Thu, 11 Feb 2010 16:48:26 +0100

kdevplatform (0.9.97-1) unstable; urgency=low

  * New upstream release.
  * Drop 01_kdevplatform_r1044088.diff patch.
  * Update installed plugins: mercurial plugin removed.

 -- Fathi Boudra <fabo@debian.org>  Sat, 12 Dec 2009 20:46:47 +0100

kdevplatform (0.9.96-1) unstable; urgency=low

  * New upstream release.
  * Add 01_kdevplatform_r1044088.diff patch.
  * Remove kdevplatform version fix.
  * Update installed plugins. Some plugins were removed upstream.
  * Add Replaces against kdevelop and kdevelop-data (<< 4:3.9.96-1).
    Some files were move from these packages to kdevplatform1-libs.

 -- Fathi Boudra <fabo@debian.org>  Thu, 12 Nov 2009 15:29:14 +0100

kdevplatform (0.9.95-2) unstable; urgency=low

  * Add patch to fix kdevplatform version.

 -- Fathi Boudra <fabo@debian.org>  Mon, 24 Aug 2009 09:22:52 +0200

kdevplatform (0.9.95-1) unstable; urgency=low

  * New upstream release (beta 5).
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Fri, 21 Aug 2009 11:30:38 +0200

kdevplatform (0.9.94+svn1010123-1) unstable; urgency=low

  * New snapshot from svn revision 1010123.
  * Update *.install files:
    - libkdevplatformtestshell renamed to libkdevplatformtests.
    - add new files (kdevopenwith and kdevpatchreview).
  * Update debian/rules:
    - add DEB_DH_MAKESHLIBS_ARGS_ALL := -V to generate a shlibs file with
      current upstream version of the package.
    - use DEB_DBG_PACKAGE instead of DEB_DH_STRIP_ARGS. debug package should
      be properly generated.

 -- Fathi Boudra <fabo@debian.org>  Tue, 11 Aug 2009 15:50:12 +0200

kdevplatform (0.9.94-1) unstable; urgency=low

  * New upstream release.
  * Replace liboost1.37-dev build dependency by libboost-serialization-dev.
    (Closes: #531111)
  * Bump Standards-Version to 3.8.2 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Mon, 15 Jun 2009 11:42:21 +0200

kdevplatform (0.9.93-1) unstable; urgency=low

  * New upstream release.
  * Update debian/kdevplatform-dev.install: add debugger include files.
  * Update debian/kdevplatform1-libs.install: add kdevcodegen licenses files.
  * Add liboost1.37-dev build dependency: It's needed to get the class browser
    plugin. We can't use boost 1.38 as it isn't supported yet.

 -- Fathi Boudra <fabo@debian.org>  Sun, 24 May 2009 13:13:25 +0200

kdevplatform (0.9.92-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.1. No changes needed.
  * Move kdevplatform-dbg package to debug section.

 -- Fathi Boudra <fabo@debian.org>  Mon, 20 Apr 2009 11:09:11 +0200

kdevplatform (0.9.91-1) experimental; urgency=low

  * Initial release (Closes: #509432).

 -- Fathi Boudra <fabo@debian.org>  Wed, 04 Mar 2009 18:11:09 +0100
